httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ruediger Pluem <rpl...@apache.org>
Subject Re: [VOTE] httpd-2.2.4 release candidate for review
Date Sun, 07 Jan 2007 21:07:08 GMT


On 01/07/2007 08:16 AM, William A. Rowe, Jr. wrote:
> Ruediger Pluem wrote:
> 
>>-0 on SuSE Linux 10.1 x86_64, gcc 4.1.0
>>
>>Due to the apr-util bug 41308 (http://issues.apache.org/bugzilla/show_bug.cgi?id=41308)
the 64 bit
>>build does not work if a system wide 32 bit expat library is present.
> 
> 
> Can you clarify - if you specific --with-builtin-expat does the issue persist?

No, if you use --with-expat=builtin it does work, which is quite clear as the delivered library
source code is then compiled 64 bit.
I made further comments inside the PR. If you remove /usr/lib/libexpat.la
(no need to remove the .so files!) then everything works fine. I think what is missing in
apr-util's detection function is a crosscheck if the libexpat found is really linkable with
the
current set of CFLAGS.

Regards

RĂ¼diger

Mime
View raw message